import java.net.UnknownHostException;
import java.util.Properties;

import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.NoSuchProviderException;
import javax.mail.SendFailedException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import java.io.InputStream;
import java.io.FileInputStream;
import java.io.File;



import gnu.mail.util.Base64InputStream;
import gnu.mail.util.Base64OutputStream;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.PipedInputStream;
import java.io.PipedOutputStream;
import java.io.UnsupportedEncodingException;


public class Send
{
	public static int send(String smtp, 
	String from, 
	String to, 
	String subject, 
	String body)
	{
		int ok=1; //generic error
		try
		{
			/** Set up session props and session. */		
			Properties sessionProps = System.getProperties();
			Session m_session = Session.getDefaultInstance(sessionProps);
			m_session.setDebug(true);
			
			MimeMessage message = new MimeMessage(m_session);
			message.setFrom(new InternetAddress(from));
			
			message.addRecipients(Message.RecipientType.TO, to);

			message.setSubject(subject, "UTF8");
			
			message.setText(body, "UTF8");

			Transport transport =  m_session.getTransport("smtp");
			transport.connect(smtp, "", "");
			try
			{
				transport.sendMessage(message, message.getAllRecipients());
			}
			finally
			{
				transport.close();
			}
			
			ok=0;
		}
		catch (Exception e)
		{
			// I haven't seen this thrown.
			ok=3;
		}
		return ok;
	}
	
	public static void main(String[] args)
	{
		if (args.length!=3)
		{
			System.out.println("Syntax: Send smtpserver from to");
			return;
		}

		String body="";
		body+="This is the body\nline#2\n";
		body+="\u79c1\u306b\u30d3\u30fc\u30eb\u304c\u3042\u3063\u3066\u3082\u3088\u3044\u304b\u3002\n";
		body+="1More text More text More text More text More text More text More text More text More text\n";
		body+="2More text More text More text More text More text More text More text More text More text\n";
		body+="3More text More text More text More text More text More text More text More text More text\n";
		body+="4More text More text More text More text More text More text More text More text More text\n";
		body+="5More text More text More text More text More text More text More text More text More text\n";
		body+="6More text More text More text More text More text More text More text More text More text\n";
		body+="7More text More text More text More text More text More text More text More text More text\n";
		body+="8More text More text More text More text More text More text More text More text More text\n";
		body+="9More text More text More text More text More text More text More text More text More text\n";
		body+="0More text More text More text More text More text More text More text More text More text\n";
		body+="1More text More text More text More text More text More text More text More text More text\n";
		body+="2More text More text More text More text More text More text More text More text More text\n";
		body+="3More text More text More text More text More text More text More text More text More text\n";
		body+="4More text More text More text More text More text More text More text More text More text\n";
		body+="5More text More text More text More text More text More text More text More text More text\n";
		body+="6More text More text More text More text More text More text More text More text More text\n";
		body+="7More text More text More text More text More text More text More text More text More text\n";

		send(
			args[0],
			args[1],
			args[2],
			"Thisis a test subject",
		body);
	}
}

